/*****************************************************************************
 * Copyright 2012 Zdenko Vrabel
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************/
package org.zdevra.sparrow.channel;

/**
 * Utility class that helps with getting channel from Guice context that follows {@code @ChannelNamed} annotation.
 * <p>
 *
 * How can be used:
 * <br><pre>
 *    MessageChannel channel = injector.getInstance(Key.get(MessageChannel.class, ChannelNames.named(channelName)));
 * </pre>
 *
 * @see ChannelNamed
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public class ChannelNames
{
	/**
	 * Method returns instance of {@link ChannelNamed} mostly used in guice's Key.
	 *
	 * @param value
	 *           name of channel
	 * @return
	 */
	public static ChannelNamed named(String value)
	{
		return new ChannelNamedImpl(value);
	}
}
